# Constant Field Values

## Contents

- org.h2.*

## org.h2.*

org.h2.api.DatabaseEventListener
Modifier and Type
Constant Field
Value
`public static final int`
`STATE_BACKUP_FILE`
`3`
`public static final int`
`STATE_CREATE_INDEX`
`1`
`public static final int`
`STATE_RECONNECTED`
`4`
`public static final int`
`STATE_RECOVER`
`2`
`public static final int`
`STATE_SCAN_FILE`
`0`
`public static final int`
`STATE_STATEMENT_END`
`6`
`public static final int`
`STATE_STATEMENT_PROGRESS`
`7`
`public static final int`
`STATE_STATEMENT_START`
`5`
org.h2.api.ErrorCode
Modifier and Type
Constant Field
Value
`public static final int`
`ACCESS_DENIED_TO_CLASS_1`
`90134`
`public static final int`
`ADMIN_RIGHTS_REQUIRED`
`90040`
`public static final int`
`AGGREGATE_NOT_FOUND_1`
`90132`
`public static final int`
`AMBIGUOUS_COLUMN_NAME_1`
`90059`
`public static final int`
`ARRAY_ELEMENT_ERROR_2`
`22034`
`public static final int`
`AUTHENTICATOR_NOT_AVAILABLE`
`90144`
`public static final int`
`CAN_ONLY_ASSIGN_TO_VARIABLE_1`
`90137`
`public static final int`
`CANNOT_CHANGE_SETTING_WHEN_OPEN_1`
`90133`
`public static final int`
`CANNOT_DROP_2`
`90107`
`public static final int`
`CANNOT_DROP_CURRENT_USER`
`90019`
`public static final int`
`CANNOT_DROP_LAST_COLUMN`
`90084`
`public static final int`
`CANNOT_DROP_TABLE_1`
`90118`
`public static final int`
`CANNOT_MIX_INDEXED_AND_UNINDEXED_PARAMS`
`90123`
`public static final int`
`CANNOT_TRUNCATE_1`
`90106`
`public static final int`
`CHECK_CONSTRAINT_INVALID`
`23514`
`public static final int`
`CHECK_CONSTRAINT_VIOLATED_1`
`23513`
`public static final int`
`CLASS_NOT_FOUND_1`
`90086`
`public static final int`
`CLUSTER_ERROR_DATABASE_RUNS_ALONE`
`90093`
`public static final int`
`CLUSTER_ERROR_DATABASE_RUNS_CLUSTERED_1`
`90094`
`public static final int`
`COLLATION_CHANGE_WITH_DATA_TABLE_1`
`90089`
`public static final int`
`COLUMN_ALIAS_IS_NOT_SPECIFIED_1`
`90156`
`public static final int`
`COLUMN_CONTAINS_NULL_VALUES_1`
`90081`
`public static final int`
`COLUMN_COUNT_DOES_NOT_MATCH`
`21002`
`public static final int`
`COLUMN_IS_PART_OF_INDEX_1`
`90075`
`public static final int`
`COLUMN_IS_REFERENCED_1`
`90083`
`public static final int`
`COLUMN_MUST_NOT_BE_NULLABLE_1`
`90023`
`public static final int`
`COLUMN_NOT_FOUND_1`
`42122`
`public static final int`
`COMMIT_ROLLBACK_NOT_ALLOWED`
`90058`
`public static final int`
`COMPRESSION_ERROR`
`90104`
`public static final int`
`CONCURRENT_UPDATE_1`
`90131`
`public static final int`
`CONNECTION_BROKEN_1`
`90067`
`public static final int`
`CONSTANT_ALREADY_EXISTS_1`
`90114`
`public static final int`
`CONSTANT_NOT_FOUND_1`
`90115`
`public static final int`
`CONSTRAINT_ALREADY_EXISTS_1`
`90045`
`public static final int`
`CONSTRAINT_IS_USED_BY_CONSTRAINT_2`
`90152`
`public static final int`
`CONSTRAINT_NOT_FOUND_1`
`90057`
`public static final int`
`CURRENT_SEQUENCE_VALUE_IS_NOT_DEFINED_IN_SESSION_1`
`90148`
`public static final int`
`DATA_CONVERSION_ERROR_1`
`22018`
`public static final int`
`DATABASE_ALREADY_OPEN_1`
`90020`
`public static final int`
`DATABASE_CALLED_AT_SHUTDOWN`
`90121`
`public static final int`
`DATABASE_IS_CLOSED`
`90098`
`public static final int`
`DATABASE_IS_IN_EXCLUSIVE_MODE`
`90135`
`public static final int`
`DATABASE_IS_NOT_PERSISTENT`
`90126`
`public static final int`
`DATABASE_IS_READ_ONLY`
`90097`
`public static final int`
`DATABASE_NOT_FOUND_1`
`90013`
`public static final int`
`DATABASE_NOT_FOUND_WITH_IF_EXISTS_1`
`90146`
`public static final int`
`DEADLOCK_1`
`40001`
`public static final int`
`DESERIALIZATION_FAILED_1`
`90027`
`public static final int`
`DIVISION_BY_ZERO_1`
`22012`
`public static final int`
`DOMAIN_ALREADY_EXISTS_1`
`90119`
`public static final int`
`DOMAIN_NOT_FOUND_1`
`90120`
`public static final int`
`DRIVER_VERSION_ERROR_2`
`90047`
`public static final int`
`DUPLICATE_COLUMN_NAME_1`
`42121`
`public static final int`
`DUPLICATE_KEY_1`
`23505`
`public static final int`
`DUPLICATE_PROPERTY_1`
`90066`
`public static final int`
`ENUM_DUPLICATE`
`22033`
`public static final int`
`ENUM_EMPTY`
`22032`
`public static final int`
`ENUM_VALUE_NOT_PERMITTED`
`22030`
`public static final int`
`ERROR_ACCESSING_LINKED_TABLE_2`
`90111`
`public static final int`
`ERROR_CREATING_TRIGGER_OBJECT_3`
`90043`
`public static final int`
`ERROR_EXECUTING_TRIGGER_3`
`90044`
`public static final int`
`ERROR_OPENING_DATABASE_1`
`8000`
`public static final int`
`ERROR_SETTING_DATABASE_EVENT_LISTENER_2`
`90099`
`public static final int`
`EXCEPTION_IN_FUNCTION_1`
`90105`
`public static final int`
`EXCEPTION_OPENING_PORT_2`
`90061`
`public static final int`
`FEATURE_NOT_SUPPORTED_1`
`50100`
`public static final int`
`FILE_CORRUPTED_1`
`90030`
`public static final int`
`FILE_CREATION_FAILED_1`
`90062`
`public static final int`
`FILE_DELETE_FAILED_1`
`90025`
`public static final int`
`FILE_ENCRYPTION_ERROR_1`
`90049`
`public static final int`
`FILE_NOT_FOUND_1`
`90124`
`public static final int`
`FILE_RENAME_FAILED_2`
`90024`
`public static final int`
`FILE_VERSION_ERROR_1`
`90048`
`public static final int`
`FOR_UPDATE_IS_NOT_ALLOWED_IN_DISTINCT_OR_GROUPED_SELECT`
`90145`
`public static final int`
`FUNCTION_ALIAS_ALREADY_EXISTS_1`
`90076`
`public static final int`
`FUNCTION_ALIAS_NOT_FOUND_1`
`90077`
`public static final int`
`FUNCTION_MUST_RETURN_RESULT_SET_1`
`90000`
`public static final int`
`FUNCTION_NOT_FOUND_1`
`90022`
`public static final int`
`GENERAL_ERROR_1`
`50000`
`public static final int`
`GENERATED_COLUMN_CANNOT_BE_ASSIGNED_1`
`90154`
`public static final int`
`GENERATED_COLUMN_CANNOT_BE_UPDATABLE_BY_CONSTRAINT_2`
`90155`
`public static final int`
`GROUP_BY_NOT_IN_THE_RESULT`
`90157`
`public static final int`
`HEX_STRING_ODD_1`
`90003`
`public static final int`
`HEX_STRING_WRONG_1`
`90004`
`public static final int`
`IDENTICAL_EXPRESSIONS_SHOULD_BE_USED`
`42131`
`public static final int`
`INDEX_ALREADY_EXISTS_1`
`42111`
`public static final int`
`INDEX_BELONGS_TO_CONSTRAINT_2`
`90085`
`public static final int`
`INDEX_NOT_FOUND_1`
`42112`
`public static final int`
`INVALID_CLASS_2`
`90125`
`public static final int`
`INVALID_DATABASE_NAME_1`
`90138`
`public static final int`
`INVALID_DATETIME_CONSTANT_2`
`22007`
`public static final int`
`INVALID_NAME_1`
`42602`
`public static final int`
`INVALID_PARAMETER_COUNT_2`
`7001`
`public static final int`
`INVALID_PRECEDING_OR_FOLLOWING_1`
`22013`
`public static final int`
`INVALID_TO_CHAR_FORMAT`
`90010`
`public static final int`
`INVALID_TO_DATE_FORMAT`
`90056`
`public static final int`
`INVALID_TRIGGER_FLAGS_1`
`90005`
`public static final int`
`INVALID_USE_OF_AGGREGATE_FUNCTION_1`
`90054`
`public static final int`
`INVALID_VALUE_2`
`90008`
`public static final int`
`INVALID_VALUE_PRECISION`
`90150`
`public static final int`
`INVALID_VALUE_SCALE`
`90151`
`public static final int`
`IO_EXCEPTION_1`
`90028`
`public static final int`
`IO_EXCEPTION_2`
`90031`
`public static final int`
`JAVA_OBJECT_SERIALIZER_CHANGE_WITH_DATA_TABLE`
`90141`
`public static final int`
`LIKE_ESCAPE_ERROR_1`
`22025`
`public static final int`
`LITERALS_ARE_NOT_ALLOWED`
`90116`
`public static final int`
`LOB_CLOSED_ON_TIMEOUT_1`
`90039`
`public static final int`
`LOCK_TIMEOUT_1`
`50200`
`public static final int`
`METHOD_DISABLED_ON_AUTOCOMMIT_TRUE`
`90147`
`public static final int`
`METHOD_NOT_ALLOWED_FOR_PREPARED_STATEMENT`
`90130`
`public static final int`
`METHOD_NOT_ALLOWED_FOR_QUERY`
`90001`
`public static final int`
`METHOD_NOT_FOUND_1`
`90087`
`public static final int`
`METHOD_ONLY_ALLOWED_FOR_QUERY`
`90002`
`public static final int`
`METHODS_MUST_HAVE_DIFFERENT_PARAMETER_COUNTS_2`
`90073`
`public static final int`
`MUST_GROUP_BY_COLUMN_1`
`90016`
`public static final int`
`NAME_TOO_LONG_2`
`42622`
`public static final int`
`NO_DATA_AVAILABLE`
`2000`
`public static final int`
`NO_DEFAULT_SET_1`
`23507`
`public static final int`
`NOT_ENOUGH_RIGHTS_FOR_1`
`90096`
`public static final int`
`NOT_ON_UPDATABLE_ROW`
`90029`
`public static final int`
`NULL_NOT_ALLOWED`
`23502`
`public static final int`
`NULL_VALUE_IN_ARRAY_TARGET`
`22035`
`public static final int`
`NUMERIC_VALUE_OUT_OF_RANGE_1`
`22003`
`public static final int`
`NUMERIC_VALUE_OUT_OF_RANGE_2`
`22004`
`public static final int`
`OBJECT_CLOSED`
`90007`
`public static final int`
`ORDER_BY_NOT_IN_RESULT`
`90068`
`public static final int`
`OUT_OF_MEMORY`
`90108`
`public static final int`
`PARAMETER_NOT_SET_1`
`90012`
`public static final int`
`PARSE_ERROR_1`
`90014`
`public static final int`
`PUBLIC_STATIC_JAVA_METHOD_NOT_FOUND_1`
`90139`
`public static final int`
`REFERENTIAL_INTEGRITY_VIOLATED_CHILD_EXISTS_1`
`23503`
`public static final int`
`REFERENTIAL_INTEGRITY_VIOLATED_PARENT_MISSING_1`
`23506`
`public static final int`
`REMOTE_CONNECTION_NOT_ALLOWED`
`90117`
`public static final int`
`REMOTE_DATABASE_NOT_FOUND_1`
`90149`
`public static final int`
`RESULT_SET_NOT_SCROLLABLE`
`90128`
`public static final int`
`RESULT_SET_NOT_UPDATABLE`
`90127`
`public static final int`
`RESULT_SET_READONLY`
`90140`
`public static final int`
`ROLE_ALREADY_EXISTS_1`
`90069`
`public static final int`
`ROLE_ALREADY_GRANTED_1`
`90074`
`public static final int`
`ROLE_CAN_NOT_BE_DROPPED_1`
`90091`
`public static final int`
`ROLE_NOT_FOUND_1`
`90070`
`public static final int`
`ROLES_AND_RIGHT_CANNOT_BE_MIXED`
`90072`
`public static final int`
`ROW_NOT_FOUND_IN_PRIMARY_INDEX`
`90143`
`public static final int`
`ROW_NOT_FOUND_WHEN_DELETING_1`
`90112`
`public static final int`
`SAVEPOINT_IS_INVALID_1`
`90063`
`public static final int`
`SAVEPOINT_IS_NAMED`
`90065`
`public static final int`
`SAVEPOINT_IS_UNNAMED`
`90064`
`public static final int`
`SCALAR_SUBQUERY_CONTAINS_MORE_THAN_ONE_ROW`
`90053`
`public static final int`
`SCHEMA_ALREADY_EXISTS_1`
`90078`
`public static final int`
`SCHEMA_CAN_NOT_BE_DROPPED_1`
`90090`
`public static final int`
`SCHEMA_NAME_MUST_MATCH`
`90080`
`public static final int`
`SCHEMA_NOT_FOUND_1`
`90079`
`public static final int`
`SECOND_PRIMARY_KEY`
`90017`
`public static final int`
`SEQUENCE_ALREADY_EXISTS_1`
`90035`
`public static final int`
`SEQUENCE_ATTRIBUTES_INVALID_7`
`90009`
`public static final int`
`SEQUENCE_BELONGS_TO_A_TABLE_1`
`90082`
`public static final int`
`SEQUENCE_EXHAUSTED`
`90006`
`public static final int`
`SEQUENCE_NOT_FOUND_1`
`90036`
`public static final int`
`SERIALIZATION_FAILED_1`
`90026`
`public static final int`
`STATEMENT_WAS_CANCELED`
`57014`
`public static final int`
`STEP_SIZE_MUST_NOT_BE_ZERO`
`90142`
`public static final int`
`STRING_FORMAT_ERROR_1`
`90095`
`public static final int`
`SUBQUERY_IS_NOT_SINGLE_COLUMN`
`90052`
`public static final int`
`SUM_OR_AVG_ON_WRONG_DATATYPE_1`
`90015`
`public static final int`
`SYNTAX_ERROR_1`
`42000`
`public static final int`
`SYNTAX_ERROR_2`
`42001`
`public static final int`
`TABLE_OR_VIEW_ALREADY_EXISTS_1`
`42101`
`public static final int`
`TABLE_OR_VIEW_NOT_FOUND_1`
`42102`
`public static final int`
`TABLE_OR_VIEW_NOT_FOUND_DATABASE_EMPTY_1`
`42104`
`public static final int`
`TABLE_OR_VIEW_NOT_FOUND_WITH_CANDIDATES_2`
`42103`
`public static final int`
`TOO_MANY_COLUMNS_1`
`54011`
`public static final int`
`TRACE_CONNECTION_NOT_CLOSED`
`90018`
`public static final int`
`TRACE_FILE_ERROR_2`
`90034`
`public static final int`
`TRANSACTION_NOT_FOUND_1`
`90129`
`public static final int`
`TRIGGER_ALREADY_EXISTS_1`
`90041`
`public static final int`
`TRIGGER_NOT_FOUND_1`
`90042`
`public static final int`
`TYPES_ARE_NOT_COMPARABLE_2`
`90110`
`public static final int`
`UNCOMPARABLE_REFERENCED_COLUMN_2`
`90153`
`public static final int`
`UNKNOWN_DATA_TYPE_1`
`50004`
`public static final int`
`UNKNOWN_MODE_1`
`90088`
`public static final int`
`UNSUPPORTED_CIPHER`
`90055`
`public static final int`
`UNSUPPORTED_COMPRESSION_ALGORITHM_1`
`90103`
`public static final int`
`UNSUPPORTED_COMPRESSION_OPTIONS_1`
`90102`
`public static final int`
`UNSUPPORTED_LOCK_METHOD_1`
`90060`
`public static final int`
`UNSUPPORTED_SETTING_1`
`90113`
`public static final int`
`UNSUPPORTED_SETTING_COMBINATION`
`90021`
`public static final int`
`URL_FORMAT_ERROR_2`
`90046`
`public static final int`
`URL_RELATIVE_TO_CWD`
`90011`
`public static final int`
`USER_ALREADY_EXISTS_1`
`90033`
`public static final int`
`USER_DATA_TYPE_ALREADY_EXISTS_1`
`90119`
`public static final int`
`USER_DATA_TYPE_NOT_FOUND_1`
`90120`
`public static final int`
`USER_NOT_FOUND_1`
`90032`
`public static final int`
`USER_OR_ROLE_NOT_FOUND_1`
`90071`
`public static final int`
`VALUE_TOO_LONG_2`
`22001`
`public static final int`
`VIEW_ALREADY_EXISTS_1`
`90038`
`public static final int`
`VIEW_IS_INVALID_2`
`90109`
`public static final int`
`VIEW_NOT_FOUND_1`
`90037`
`public static final int`
`WINDOW_NOT_FOUND_1`
`90136`
`public static final int`
`WITH_TIES_WITHOUT_ORDER_BY`
`90122`
`public static final int`
`WRONG_PASSWORD_FORMAT`
`90050`
`public static final int`
`WRONG_USER_OR_PASSWORD`
`28000`
`public static final int`
`WRONG_XID_FORMAT_1`
`90101`
org.h2.api.Trigger
Modifier and Type
Constant Field
Value
`public static final int`
`DELETE`
`4`
`public static final int`
`INSERT`
`1`
`public static final int`
`SELECT`
`8`
`public static final int`
`UPDATE`
`2`

org.h2.bnf.RuleFixed
Modifier and Type
Constant Field
Value
`public static final int`
`AF`
`14`
`public static final int`
`ANY_EXCEPT_2_DOLLAR`
`8`
`public static final int`
`ANY_EXCEPT_DOUBLE_QUOTE`
`4`
`public static final int`
`ANY_EXCEPT_SINGLE_QUOTE`
`3`
`public static final int`
`ANY_UNTIL_END`
`6`
`public static final int`
`ANY_UNTIL_EOL`
`5`
`public static final int`
`ANY_WORD`
`7`
`public static final int`
`AZ_UNDERSCORE`
`13`
`public static final int`
`BINARY_START`
`11`
`public static final int`
`CLOSE_BRACKET`
`17`
`public static final int`
`CONCAT`
`12`
`public static final int`
`DIGIT`
`15`
`public static final int`
`HEX_START`
`9`
`public static final int`
`HMS`
`1`
`public static final int`
`JSON_TEXT`
`18`
`public static final int`
`NANOS`
`2`
`public static final int`
`OCTAL_START`
`10`
`public static final int`
`OPEN_BRACKET`
`16`
`public static final int`
`YMD`
`0`
org.h2.bnf.Sentence
Modifier and Type
Constant Field
Value
`public static final int`
`CONTEXT`
`0`
`public static final int`
`FUNCTION`
`2`
`public static final int`
`KEYWORD`
`1`

org.h2.bnf.context.DbContextRule
Modifier and Type
Constant Field
Value
`public static final int`
`COLUMN`
`0`
`public static final int`
`COLUMN_ALIAS`
`4`
`public static final int`
`NEW_TABLE_ALIAS`
`3`
`public static final int`
`PROCEDURE`
`6`
`public static final int`
`SCHEMA`
`5`
`public static final int`
`TABLE`
`1`
`public static final int`
`TABLE_ALIAS`
`2`

org.h2.command.CommandInterface
Modifier and Type
Constant Field
Value
`public static final int`
`ALTER_DOMAIN_ADD_CONSTRAINT`
`92`
`public static final int`
`ALTER_DOMAIN_DEFAULT`
`94`
`public static final int`
`ALTER_DOMAIN_DROP_CONSTRAINT`
`93`
`public static final int`
`ALTER_DOMAIN_ON_UPDATE`
`95`
`public static final int`
`ALTER_DOMAIN_RENAME`
`96`
`public static final int`
`ALTER_DOMAIN_RENAME_CONSTRAINT`
`101`
`public static final int`
`ALTER_INDEX_RENAME`
`1`
`public static final int`
`ALTER_SCHEMA_RENAME`
`2`
`public static final int`
`ALTER_SEQUENCE`
`54`
`public static final int`
`ALTER_TABLE_ADD_COLUMN`
`7`
`public static final int`
`ALTER_TABLE_ADD_CONSTRAINT_CHECK`
`3`
`public static final int`
`ALTER_TABLE_ADD_CONSTRAINT_PRIMARY_KEY`
`6`
`public static final int`
`ALTER_TABLE_ADD_CONSTRAINT_REFERENTIAL`
`5`
`public static final int`
`ALTER_TABLE_ADD_CONSTRAINT_UNIQUE`
`4`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_CHANGE_TYPE`
`11`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_DEFAULT`
`10`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_DEFAULT_ON_NULL`
`100`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_DROP_EXPRESSION`
`98`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_DROP_IDENTITY`
`99`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_DROP_NOT_NULL`
`9`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_NOT_NULL`
`8`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_ON_UPDATE`
`90`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_RENAME`
`16`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_SELECTIVITY`
`13`
`public static final int`
`ALTER_TABLE_ALTER_COLUMN_VISIBILITY`
`87`
`public static final int`
`ALTER_TABLE_DROP_COLUMN`
`12`
`public static final int`
`ALTER_TABLE_DROP_CONSTRAINT`
`14`
`public static final int`
`ALTER_TABLE_RENAME`
`15`
`public static final int`
`ALTER_TABLE_RENAME_CONSTRAINT`
`85`
`public static final int`
`ALTER_TABLE_SET_REFERENTIAL_INTEGRITY`
`55`
`public static final int`
`ALTER_USER_ADMIN`
`17`
`public static final int`
`ALTER_USER_RENAME`
`18`
`public static final int`
`ALTER_USER_SET_PASSWORD`
`19`
`public static final int`
`ALTER_VIEW`
`20`
`public static final int`
`ANALYZE`
`21`
`public static final int`
`BACKUP`
`56`
`public static final int`
`BEGIN`
`83`
`public static final int`
`CALL`
`57`
`public static final int`
`CHECKPOINT`
`73`
`public static final int`
`CHECKPOINT_SYNC`
`76`
`public static final int`
`COMMENT`
`52`
`public static final int`
`COMMIT`
`71`
`public static final int`
`COMMIT_TRANSACTION`
`78`
`public static final int`
`CREATE_AGGREGATE`
`22`
`public static final int`
`CREATE_ALIAS`
`24`
`public static final int`
`CREATE_CONSTANT`
`23`
`public static final int`
`CREATE_DOMAIN`
`33`
`public static final int`
`CREATE_INDEX`
`25`
`public static final int`
`CREATE_LINKED_TABLE`
`26`
`public static final int`
`CREATE_MATERIALIZED_VIEW`
`102`
`public static final int`
`CREATE_ROLE`
`27`
`public static final int`
`CREATE_SCHEMA`
`28`
`public static final int`
`CREATE_SEQUENCE`
`29`
`public static final int`
`CREATE_SYNONYM`
`88`
`public static final int`
`CREATE_TABLE`
`30`
`public static final int`
`CREATE_TRIGGER`
`31`
`public static final int`
`CREATE_USER`
`32`
`public static final int`
`CREATE_VIEW`
`34`
`public static final int`
`DEALLOCATE`
`35`
`public static final int`
`DELETE`
`58`
`public static final int`
`DROP_AGGREGATE`
`36`
`public static final int`
`DROP_ALIAS`
`39`
`public static final int`
`DROP_ALL_OBJECTS`
`38`
`public static final int`
`DROP_CONSTANT`
`37`
`public static final int`
`DROP_DOMAIN`
`47`
`public static final int`
`DROP_INDEX`
`40`
`public static final int`
`DROP_MATERIALIZED_VIEW`
`104`
`public static final int`
`DROP_ROLE`
`41`
`public static final int`
`DROP_SCHEMA`
`42`
`public static final int`
`DROP_SEQUENCE`
`43`
`public static final int`
`DROP_SYNONYM`
`89`
`public static final int`
`DROP_TABLE`
`44`
`public static final int`
`DROP_TRIGGER`
`45`
`public static final int`
`DROP_USER`
`46`
`public static final int`
`DROP_VIEW`
`48`
`public static final int`
`EXECUTE`
`59`
`public static final int`
`EXECUTE_IMMEDIATELY`
`91`
`public static final int`
`EXPLAIN`
`60`
`public static final int`
`EXPLAIN_ANALYZE`
`86`
`public static final int`
`GRANT`
`49`
`public static final int`
`HELP`
`97`
`public static final int`
`INSERT`
`61`
`public static final int`
`MERGE`
`62`
`public static final int`
`NO_OPERATION`
`63`
`public static final int`
`PREPARE`
`51`
`public static final int`
`PREPARE_COMMIT`
`77`
`public static final int`
`REFRESH_MATERIALIZED_VIEW`
`103`
`public static final int`
`REPLACE`
`63`
`public static final int`
`REVOKE`
`50`
`public static final int`
`ROLLBACK`
`72`
`public static final int`
`ROLLBACK_TO_SAVEPOINT`
`75`
`public static final int`
`ROLLBACK_TRANSACTION`
`79`
`public static final int`
`RUNSCRIPT`
`64`
`public static final int`
`SAVEPOINT`
`74`
`public static final int`
`SCRIPT`
`65`
`public static final int`
`SELECT`
`66`
`public static final int`
`SET`
`67`
`public static final int`
`SET_AUTOCOMMIT_FALSE`
`70`
`public static final int`
`SET_AUTOCOMMIT_TRUE`
`69`
`public static final int`
`SHUTDOWN`
`80`
`public static final int`
`SHUTDOWN_COMPACT`
`82`
`public static final int`
`SHUTDOWN_DEFRAG`
`84`
`public static final int`
`SHUTDOWN_IMMEDIATELY`
`81`
`public static final int`
`TRUNCATE_TABLE`
`53`
`public static final int`
`UNKNOWN`
`0`
`public static final int`
`UPDATE`
`68`

org.h2.command.dml.SetTypes
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_LITERALS`
`21`
`public static final int`
`AUTHENTICATOR`
`38`
`public static final int`
`BUILTIN_ALIAS_OVERRIDE`
`37`
`public static final int`
`CACHE_SIZE`
`7`
`public static final int`
`CATALOG`
`40`
`public static final int`
`CLUSTER`
`12`
`public static final int`
`COLLATION`
`11`
`public static final int`
`CREATE_BUILD`
`28`
`public static final int`
`DATABASE_EVENT_LISTENER`
`14`
`public static final int`
`DB_CLOSE_DELAY`
`17`
`public static final int`
`DEFAULT_LOCK_TIMEOUT`
`5`
`public static final int`
`DEFAULT_NULL_ORDERING`
`44`
`public static final int`
`DEFAULT_TABLE_TYPE`
`6`
`public static final int`
`EXCLUSIVE`
`27`
`public static final int`
`IGNORE_CATALOGS`
`39`
`public static final int`
`IGNORECASE`
`0`
`public static final int`
`JAVA_OBJECT_SERIALIZER`
`32`
`public static final int`
`LAZY_QUERY_EXECUTION`
`36`
`public static final int`
`LOCK_MODE`
`16`
`public static final int`
`LOCK_TIMEOUT`
`4`
`public static final int`
`MAX_LENGTH_INPLACE_LOB`
`20`
`public static final int`
`MAX_LOG_SIZE`
`1`
`public static final int`
`MAX_MEMORY_ROWS`
`15`
`public static final int`
`MAX_MEMORY_UNDO`
`19`
`public static final int`
`MAX_OPERATION_MEMORY`
`26`
`public static final int`
`MODE`
`2`
`public static final int`
`NON_KEYWORDS`
`41`
`public static final int`
`OPTIMIZE_REUSE_RESULTS`
`23`
`public static final int`
`QUERY_STATISTICS`
`34`
`public static final int`
`QUERY_STATISTICS_MAX_ENTRIES`
`35`
`public static final int`
`QUERY_TIMEOUT`
`30`
`public static final int`
`READONLY`
`3`
`public static final int`
`REDO_LOG_BINARY`
`31`
`public static final int`
`REFERENTIAL_INTEGRITY`
`25`
`public static final int`
`RETENTION_TIME`
`33`
`public static final int`
`SCHEMA`
`22`
`public static final int`
`SCHEMA_SEARCH_PATH`
`24`
`public static final int`
`THROTTLE`
`18`
`public static final int`
`TIME_ZONE`
`42`
`public static final int`
`TRACE_LEVEL_FILE`
`9`
`public static final int`
`TRACE_LEVEL_SYSTEM_OUT`
`8`
`public static final int`
`TRACE_MAX_FILE_SIZE`
`10`
`public static final int`
`TRUNCATE_LARGE_LENGTH`
`45`
`public static final int`
`VARIABLE`
`29`
`public static final int`
`VARIABLE_BINARY`
`43`
`public static final int`
`WRITE_DELAY`
`13`

org.h2.compress.Compressor
Modifier and Type
Constant Field
Value
`public static final int`
`DEFLATE`
`2`
`public static final int`
`LZF`
`1`
`public static final int`
`NO`
`0`

org.h2.dev.ftp.server.FtpServer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PORT`
`8021`
`public static final String`
`DEFAULT_READ`
`"guest"`
`public static final String`
`DEFAULT_ROOT`
`"ftp"`
`public static final String`
`DEFAULT_WRITE`
`"sa"`
`public static final String`
`DEFAULT_WRITE_PASSWORD`
`"sa"`

org.h2.dev.util.BinaryArithmeticStream
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_PROBABILITY`
`4095`

org.h2.engine.Constants
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_LITERALS_ALL`
`2`
`public static final int`
`ALLOW_LITERALS_NONE`
`0`
`public static final int`
`ALLOW_LITERALS_NUMBERS`
`1`
`public static final boolean`
`BLOB_SEARCH`
`false`
`public static final String`
`BUILD_DATE`
`"2024-07-15"`
`public static final int`
`BUILD_ID`
`230`
`public static final boolean`
`BUILD_SNAPSHOT`
`false`
`public static final int`
`CACHE_MIN_RECORDS`
`16`
`public static final String`
`CACHE_TYPE_DEFAULT`
`"LRU"`
`public static final String`
`CLUSTERING_DISABLED`
`"\'\'"`
`public static final String`
`CLUSTERING_ENABLED`
`"TRUE"`
`public static final String`
`CONN_URL_COLUMNLIST`
`"jdbc:columnlist:connection"`
`public static final String`
`CONN_URL_INTERNAL`
`"jdbc:default:connection"`
`public static final int`
`COST_ROW_OFFSET`
`1000`
`public static final int`
`DEADLOCK_CHECK`
`100`
`public static final int`
`DEFAULT_HTTP_PORT`
`8082`
`public static final int`
`DEFAULT_LOCK_MODE`
`3`
`public static final int`
`DEFAULT_MAX_LENGTH_INPLACE_LOB`
`256`
`public static final int`
`DEFAULT_MAX_OPERATION_MEMORY`
`100000`
`public static final int`
`DEFAULT_PAGE_SIZE`
`4096`
`public static final int`
`DEFAULT_RESULT_SET_CONCURRENCY`
`1007`
`public static final int`
`DEFAULT_TCP_PORT`
`9092`
`public static final int`
`DEFAULT_WRITE_DELAY`
`500`
`public static final int`
`ENCRYPTION_KEY_HASH_ITERATIONS`
`1024`
`public static final int`
`FILE_BLOCK_SIZE`
`16`
`public static final int`
`INFORMATION_SCHEMA_ID`
`-1`
`public static final int`
`INITIAL_LOCK_TIMEOUT`
`2000`
`public static final int`
`IO_BUFFER_SIZE`
`4096`
`public static final int`
`IO_BUFFER_SIZE_COMPRESS`
`131072`
`public static final int`
`LOCK_MODE_OFF`
`0`
`public static final int`
`LOCK_MODE_READ_COMMITTED`
`3`
`public static final int`
`LOCK_MODE_TABLE`
`1`
`public static final int`
`LOCK_MODE_TABLE_GC`
`2`
`public static final int`
`LOCK_SLEEP`
`1000`
`public static final int`
`MAIN_SCHEMA_ID`
`0`
`public static final int`
`MAX_ARRAY_CARDINALITY`
`65536`
`public static final int`
`MAX_COLUMNS`
`16384`
`public static final int`
`MAX_IDENTIFIER_LENGTH`
`256`
`public static final int`
`MAX_NUMERIC_PRECISION`
`100000`
`public static final int`
`MAX_PARAMETER_INDEX`
`100000`
`public static final int`
`MAX_STRING_LENGTH`
`1000000000`
`public static final int`
`MEMORY_ARRAY`
`24`
`public static final int`
`MEMORY_OBJECT`
`24`
`public static final int`
`MEMORY_POINTER`
`8`
`public static final int`
`MEMORY_ROW`
`40`
`public static final int`
`MIN_WEB_ADMIN_PASSWORD_LENGTH`
`12`
`public static final int`
`PG_CATALOG_SCHEMA_ID`
`-1000`
`public static final String`
`PG_VERSION`
`"8.2.23"`
`public static final String`
`PREFIX_INDEX`
`"INDEX_"`
`public static final String`
`PREFIX_JOIN`
`"SYSTEM_JOIN_"`
`public static final String`
`PREFIX_PRIMARY_KEY`
`"PRIMARY_KEY_"`
`public static final String`
`PREFIX_QUERY_ALIAS`
`"QUERY_ALIAS_"`
`public static final String`
`PUBLIC_ROLE_NAME`
`"PUBLIC"`
`public static final int`
`QUERY_STATISTICS_MAX_ENTRIES`
`100`
`public static final int`
`SALT_LEN`
`8`
`public static final String`
`SCHEMA_MAIN`
`"PUBLIC"`
`public static final String`
`SCHEMA_PG_CATALOG`
`"PG_CATALOG"`
`public static final int`
`SELECTIVITY_DEFAULT`
`50`
`public static final int`
`SELECTIVITY_DISTINCT_COUNT`
`10000`
`public static final String`
`SERVER_PROPERTIES_DIR`
`"~"`
`public static final String`
`SERVER_PROPERTIES_NAME`
`".h2.server.properties"`
`public static final long`
`SLOW_QUERY_LIMIT_MS`
`100L`
`public static final String`
`START_URL`
`"jdbc:h2:"`
`public static final String`
`SUFFIX_LOCK_FILE`
`".lock.db"`
`public static final String`
`SUFFIX_MV_FILE`
`".mv.db"`
`public static final String`
`SUFFIX_MV_STORE_NEW_FILE`
`".newFile"`
`public static final String`
`SUFFIX_MV_STORE_TEMP_FILE`
`".tempFile"`
`public static final String`
`SUFFIX_OLD_DATABASE_FILE`
`".data.db"`
`public static final String`
`SUFFIX_TEMP_FILE`
`".temp.db"`
`public static final String`
`SUFFIX_TRACE_FILE`
`".trace.db"`
`public static final int`
`TCP_PROTOCOL_VERSION_17`
`17`
`public static final int`
`TCP_PROTOCOL_VERSION_18`
`18`
`public static final int`
`TCP_PROTOCOL_VERSION_19`
`19`
`public static final int`
`TCP_PROTOCOL_VERSION_20`
`20`
`public static final int`
`TCP_PROTOCOL_VERSION_21`
`21`
`public static final int`
`TCP_PROTOCOL_VERSION_MAX_SUPPORTED`
`21`
`public static final int`
`TCP_PROTOCOL_VERSION_MIN_SUPPORTED`
`17`
`public static final int`
`THROTTLE_DELAY`
`50`
`public static final int`
`TRANSACTION_SNAPSHOT`
`6`
`public static final String`
`URL_FORMAT`
`"jdbc:h2:{ {.|mem:}[name] | [file:]fileName | {tcp|ssl}:[//]server[:port][,server2[:port]]/name }[;key=value...]"`
`public static final String`
`USER_PACKAGE`
`"org.h2.dynamic"`
`public static final int`
`VERSION_MAJOR`
`2`
`public static final int`
`VERSION_MINOR`
`3`
`public static final int`
`VIEW_COST_CACHE_MAX_AGE`
`10000`
`public static final int`
`VIEW_INDEX_CACHE_SIZE`
`64`
org.h2.engine.DbObject
Modifier and Type
Constant Field
Value
`public static final int`
`AGGREGATE`
`14`
`public static final int`
`COMMENT`
`13`
`public static final int`
`CONSTANT`
`11`
`public static final int`
`CONSTRAINT`
`5`
`public static final int`
`DOMAIN`
`12`
`public static final int`
`FUNCTION_ALIAS`
`9`
`public static final int`
`INDEX`
`1`
`public static final int`
`RIGHT`
`8`
`public static final int`
`ROLE`
`7`
`public static final int`
`SCHEMA`
`10`
`public static final int`
`SEQUENCE`
`3`
`public static final int`
`SETTING`
`6`
`public static final int`
`SYNONYM`
`15`
`public static final int`
`TABLE_OR_VIEW`
`0`
`public static final int`
`TRIGGER`
`4`
`public static final int`
`USER`
`2`
org.h2.engine.GeneratedKeysMode
Modifier and Type
Constant Field
Value
`public static final int`
`AUTO`
`1`
`public static final int`
`COLUMN_NAMES`
`3`
`public static final int`
`COLUMN_NUMBERS`
`2`
`public static final int`
`NONE`
`0`
org.h2.engine.Right
Modifier and Type
Constant Field
Value
`public static final int`
`ALL`
`15`
`public static final int`
`ALTER_ANY_SCHEMA`
`16`
`public static final int`
`DELETE`
`2`
`public static final int`
`INSERT`
`4`
`public static final int`
`SCHEMA_OWNER`
`32`
`public static final int`
`SELECT`
`1`
`public static final int`
`UPDATE`
`8`
org.h2.engine.SessionRemote
Modifier and Type
Constant Field
Value
`public static final int`
`CHANGE_ID`
`9`
`public static final int`
`COMMAND_CLOSE`
`4`
`public static final int`
`COMMAND_COMMIT`
`8`
`public static final int`
`COMMAND_EXECUTE_BATCH_UPDATE`
`20`
`public static final int`
`COMMAND_EXECUTE_QUERY`
`2`
`public static final int`
`COMMAND_EXECUTE_UPDATE`
`3`
`public static final int`
`COMMAND_GET_META_DATA`
`10`
`public static final int`
`GET_JDBC_META`
`19`
`public static final int`
`LOB_READ`
`17`
`public static final int`
`RESULT_CLOSE`
`7`
`public static final int`
`RESULT_FETCH_ROWS`
`5`
`public static final int`
`RESULT_RESET`
`6`
`public static final int`
`SESSION_CANCEL_STATEMENT`
`13`
`public static final int`
`SESSION_CHECK_KEY`
`14`
`public static final int`
`SESSION_CLOSE`
`1`
`public static final int`
`SESSION_HAS_PENDING_TRANSACTION`
`16`
`public static final int`
`SESSION_PREPARE`
`0`
`public static final int`
`SESSION_PREPARE_READ_PARAMS2`
`18`
`public static final int`
`SESSION_SET_AUTOCOMMIT`
`15`
`public static final int`
`SESSION_SET_ID`
`12`
`public static final int`
`STATUS_CLOSED`
`2`
`public static final int`
`STATUS_ERROR`
`0`
`public static final int`
`STATUS_OK`
`1`
`public static final int`
`STATUS_OK_STATE_CHANGED`
`3`
org.h2.engine.SysProperties
Modifier and Type
Constant Field
Value
`public static final String`
`H2_BROWSER`
`"h2.browser"`
`public static final String`
`H2_SCRIPT_DIRECTORY`
`"h2.scriptDirectory"`

org.h2.expression.Expression
Modifier and Type
Constant Field
Value
`public static final int`
`AUTO_PARENTHESES`
`0`
`public static final int`
`MAP_IN_AGGREGATE`
`2`
`public static final int`
`MAP_IN_WINDOW`
`1`
`public static final int`
`MAP_INITIAL`
`0`
`public static final int`
`WITH_PARENTHESES`
`1`
`public static final int`
`WITHOUT_PARENTHESES`
`2`
org.h2.expression.ExpressionVisitor
Modifier and Type
Constant Field
Value
`public static final int`
`DECREMENT_QUERY_LEVEL`
`11`
`public static final int`
`DETERMINISTIC`
`2`
`public static final int`
`EVALUATABLE`
`3`
`public static final int`
`GET_COLUMNS1`
`9`
`public static final int`
`GET_COLUMNS2`
`10`
`public static final int`
`GET_DEPENDENCIES`
`7`
`public static final int`
`INDEPENDENT`
`0`
`public static final int`
`NOT_FROM_RESOLVER`
`6`
`public static final int`
`OPTIMIZABLE_AGGREGATE`
`1`
`public static final int`
`QUERY_COMPARABLE`
`8`
`public static final int`
`READONLY`
`5`
`public static final int`
`SET_MAX_DATA_MODIFICATION_ID`
`4`

org.h2.expression.analysis.DataAnalysisOperation
Modifier and Type
Constant Field
Value
`public static final int`
`STAGE_GROUP`
`1`
`public static final int`
`STAGE_RESET`
`0`
`public static final int`
`STAGE_WINDOW`
`2`

org.h2.expression.condition.Comparison
Modifier and Type
Constant Field
Value
`public static final int`
`BIGGER`
`3`
`public static final int`
`BIGGER_EQUAL`
`5`
`public static final int`
`EQUAL`
`0`
`public static final int`
`EQUAL_NULL_SAFE`
`6`
`public static final int`
`FALSE`
`9`
`public static final int`
`IN_ARRAY`
`11`
`public static final int`
`IN_LIST`
`10`
`public static final int`
`IN_QUERY`
`12`
`public static final int`
`NOT_EQUAL`
`1`
`public static final int`
`NOT_EQUAL_NULL_SAFE`
`7`
`public static final int`
`SMALLER`
`2`
`public static final int`
`SMALLER_EQUAL`
`4`
`public static final int`
`SPATIAL_INTERSECTS`
`8`
org.h2.expression.condition.ConditionAndOr
Modifier and Type
Constant Field
Value
`public static final int`
`AND`
`0`
`public static final int`
`OR`
`1`

org.h2.expression.function.ArrayFunction
Modifier and Type
Constant Field
Value
`public static final int`
`ARRAY_CONTAINS`
`1`
`public static final int`
`ARRAY_SLICE`
`2`
`public static final int`
`TRIM_ARRAY`
`0`
org.h2.expression.function.BitFunction
Modifier and Type
Constant Field
Value
`public static final int`
`BITAND`
`0`
`public static final int`
`BITCOUNT`
`8`
`public static final int`
`BITGET`
`7`
`public static final int`
`BITNAND`
`4`
`public static final int`
`BITNOR`
`5`
`public static final int`
`BITNOT`
`3`
`public static final int`
`BITOR`
`1`
`public static final int`
`BITXNOR`
`6`
`public static final int`
`BITXOR`
`2`
`public static final int`
`LSHIFT`
`9`
`public static final int`
`ROTATELEFT`
`13`
`public static final int`
`ROTATERIGHT`
`14`
`public static final int`
`RSHIFT`
`10`
`public static final int`
`ULSHIFT`
`11`
`public static final int`
`URSHIFT`
`12`
org.h2.expression.function.CoalesceFunction
Modifier and Type
Constant Field
Value
`public static final int`
`COALESCE`
`0`
`public static final int`
`GREATEST`
`1`
`public static final int`
`LEAST`
`2`
org.h2.expression.function.CompressFunction
Modifier and Type
Constant Field
Value
`public static final int`
`COMPRESS`
`0`
`public static final int`
`EXPAND`
`1`
org.h2.expression.function.ConcatFunction
Modifier and Type
Constant Field
Value
`public static final int`
`CONCAT`
`0`
`public static final int`
`CONCAT_WS`
`1`
org.h2.expression.function.CryptFunction
Modifier and Type
Constant Field
Value
`public static final int`
`DECRYPT`
`1`
`public static final int`
`ENCRYPT`
`0`
org.h2.expression.function.CurrentDateTimeValueFunction
Modifier and Type
Constant Field
Value
`public static final int`
`CURRENT_DATE`
`0`
`public static final int`
`CURRENT_TIME`
`1`
`public static final int`
`CURRENT_TIMESTAMP`
`3`
`public static final int`
`LOCALTIME`
`2`
`public static final int`
`LOCALTIMESTAMP`
`4`
org.h2.expression.function.CurrentGeneralValueSpecification
Modifier and Type
Constant Field
Value
`public static final int`
`CURRENT_CATALOG`
`0`
`public static final int`
`CURRENT_PATH`
`1`
`public static final int`
`CURRENT_ROLE`
`2`
`public static final int`
`CURRENT_SCHEMA`
`3`
`public static final int`
`CURRENT_USER`
`4`
`public static final int`
`SESSION_USER`
`5`
`public static final int`
`SYSTEM_USER`
`6`
org.h2.expression.function.DateTimeFormatFunction
Modifier and Type
Constant Field
Value
`public static final int`
`FORMATDATETIME`
`0`
`public static final int`
`PARSEDATETIME`
`1`
org.h2.expression.function.DateTimeFunction
Modifier and Type
Constant Field
Value
`public static final int`
`CENTURY`
`10`
`public static final int`
`DATE_TRUNC`
`1`
`public static final int`
`DATEADD`
`2`
`public static final int`
`DATEDIFF`
`3`
`public static final int`
`DAY`
`2`
`public static final int`
`DAY_OF_WEEK`
`20`
`public static final int`
`DAY_OF_YEAR`
`16`
`public static final int`
`DECADE`
`11`
`public static final int`
`DOW`
`24`
`public static final int`
`EPOCH`
`23`
`public static final int`
`EXTRACT`
`0`
`public static final int`
`HOUR`
`3`
`public static final int`
`ISO_DAY_OF_WEEK`
`17`
`public static final int`
`ISO_WEEK`
`18`
`public static final int`
`ISO_WEEK_YEAR`
`19`
`public static final int`
`LAST_DAY`
`4`
`public static final int`
`MICROSECOND`
`14`
`public static final int`
`MILLENNIUM`
`9`
`public static final int`
`MILLISECOND`
`13`
`public static final int`
`MINUTE`
`4`
`public static final int`
`MONTH`
`1`
`public static final int`
`NANOSECOND`
`15`
`public static final int`
`QUARTER`
`12`
`public static final int`
`SECOND`
`5`
`public static final int`
`TIMEZONE_HOUR`
`6`
`public static final int`
`TIMEZONE_MINUTE`
`7`
`public static final int`
`TIMEZONE_SECOND`
`8`
`public static final int`
`WEEK`
`21`
`public static final int`
`WEEK_YEAR`
`22`
`public static final int`
`YEAR`
`0`
org.h2.expression.function.DayMonthNameFunction
Modifier and Type
Constant Field
Value
`public static final int`
`DAYNAME`
`0`
`public static final int`
`MONTHNAME`
`1`
org.h2.expression.function.DBObjectFunction
Modifier and Type
Constant Field
Value
`public static final int`
`DB_OBJECT_APPROXIMATE_SIZE`
`4`
`public static final int`
`DB_OBJECT_APPROXIMATE_TOTAL_SIZE`
`5`
`public static final int`
`DB_OBJECT_ID`
`0`
`public static final int`
`DB_OBJECT_SIZE`
`2`
`public static final int`
`DB_OBJECT_SQL`
`1`
`public static final int`
`DB_OBJECT_TOTAL_SIZE`
`3`
org.h2.expression.function.FileFunction
Modifier and Type
Constant Field
Value
`public static final int`
`FILE_READ`
`0`
`public static final int`
`FILE_WRITE`
`1`
org.h2.expression.function.HashFunction
Modifier and Type
Constant Field
Value
`public static final int`
`HASH`
`0`
`public static final int`
`ORA_HASH`
`1`
org.h2.expression.function.LengthFunction
Modifier and Type
Constant Field
Value
`public static final int`
`BIT_LENGTH`
`2`
`public static final int`
`CHAR_LENGTH`
`0`
`public static final int`
`OCTET_LENGTH`
`1`
org.h2.expression.function.MathFunction
Modifier and Type
Constant Field
Value
`public static final int`
`ABS`
`0`
`public static final int`
`CEIL`
`3`
`public static final int`
`FLOOR`
`2`
`public static final int`
`MOD`
`1`
`public static final int`
`ROUND`
`4`
`public static final int`
`ROUNDMAGIC`
`5`
`public static final int`
`SIGN`
`6`
`public static final int`
`TRUNC`
`7`
org.h2.expression.function.MathFunction1
Modifier and Type
Constant Field
Value
`public static final int`
`ACOS`
`8`
`public static final int`
`ASIN`
`7`
`public static final int`
`ATAN`
`9`
`public static final int`
`COS`
`1`
`public static final int`
`COSH`
`5`
`public static final int`
`COT`
`3`
`public static final int`
`DEGREES`
`14`
`public static final int`
`EXP`
`12`
`public static final int`
`LN`
`11`
`public static final int`
`LOG10`
`10`
`public static final int`
`RADIANS`
`15`
`public static final int`
`SIN`
`0`
`public static final int`
`SINH`
`4`
`public static final int`
`SQRT`
`13`
`public static final int`
`TAN`
`2`
`public static final int`
`TANH`
`6`
org.h2.expression.function.MathFunction2
Modifier and Type
Constant Field
Value
`public static final int`
`ATAN2`
`0`
`public static final int`
`LOG`
`1`
`public static final int`
`POWER`
`2`
org.h2.expression.function.RandFunction
Modifier and Type
Constant Field
Value
`public static final int`
`RAND`
`0`
`public static final int`
`RANDOM_UUID`
`2`
`public static final int`
`SECURE_RAND`
`1`
org.h2.expression.function.RegexpFunction
Modifier and Type
Constant Field
Value
`public static final int`
`REGEXP_LIKE`
`0`
`public static final int`
`REGEXP_REPLACE`
`1`
`public static final int`
`REGEXP_SUBSTR`
`2`
org.h2.expression.function.SessionControlFunction
Modifier and Type
Constant Field
Value
`public static final int`
`ABORT_SESSION`
`0`
`public static final int`
`CANCEL_SESSION`
`1`
org.h2.expression.function.SoundexFunction
Modifier and Type
Constant Field
Value
`public static final int`
`DIFFERENCE`
`1`
`public static final int`
`SOUNDEX`
`0`
org.h2.expression.function.StringFunction
Modifier and Type
Constant Field
Value
`public static final int`
`INSERT`
`1`
`public static final int`
`LOCATE`
`0`
`public static final int`
`LPAD`
`3`
`public static final int`
`REPLACE`
`2`
`public static final int`
`RPAD`
`4`
`public static final int`
`TRANSLATE`
`5`
org.h2.expression.function.StringFunction1
Modifier and Type
Constant Field
Value
`public static final int`
`ASCII`
`2`
`public static final int`
`CHAR`
`3`
`public static final int`
`HEXTORAW`
`8`
`public static final int`
`LOWER`
`1`
`public static final int`
`QUOTE_IDENT`
`11`
`public static final int`
`RAWTOHEX`
`9`
`public static final int`
`SPACE`
`10`
`public static final int`
`STRINGDECODE`
`5`
`public static final int`
`STRINGENCODE`
`4`
`public static final int`
`STRINGTOUTF8`
`6`
`public static final int`
`UPPER`
`0`
`public static final int`
`UTF8TOSTRING`
`7`
org.h2.expression.function.StringFunction2
Modifier and Type
Constant Field
Value
`public static final int`
`LEFT`
`0`
`public static final int`
`REPEAT`
`2`
`public static final int`
`RIGHT`
`1`
org.h2.expression.function.SysInfoFunction
Modifier and Type
Constant Field
Value
`public static final int`
`AUTOCOMMIT`
`0`
`public static final int`
`DATABASE_PATH`
`1`
`public static final int`
`H2VERSION`
`2`
`public static final int`
`LOCK_MODE`
`3`
`public static final int`
`LOCK_TIMEOUT`
`4`
`public static final int`
`MEMORY_FREE`
`5`
`public static final int`
`MEMORY_USED`
`6`
`public static final int`
`READONLY`
`7`
`public static final int`
`SESSION_ID`
`8`
`public static final int`
`TRANSACTION_ID`
`9`
org.h2.expression.function.TableInfoFunction
Modifier and Type
Constant Field
Value
`public static final int`
`DISK_SPACE_USED`
`0`
`public static final int`
`ESTIMATED_ENVELOPE`
`1`
org.h2.expression.function.ToCharFunction
Modifier and Type
Constant Field
Value
`public static final int`
`JULIAN_EPOCH`
`-2440588`
`public static final int`
`MONTHS`
`0`
`public static final int`
`SHORT_MONTHS`
`1`
`public static final int`
`SHORT_WEEKDAYS`
`3`
`public static final int`
`WEEKDAYS`
`2`
org.h2.expression.function.TrimFunction
Modifier and Type
Constant Field
Value
`public static final int`
`LEADING`
`1`
`public static final int`
`MULTI_CHARACTER`
`4`
`public static final int`
`TRAILING`
`2`
org.h2.expression.function.XMLFunction
Modifier and Type
Constant Field
Value
`public static final int`
`XMLATTR`
`0`
`public static final int`
`XMLCDATA`
`1`
`public static final int`
`XMLCOMMENT`
`2`
`public static final int`
`XMLNODE`
`3`
`public static final int`
`XMLSTARTDOC`
`4`
`public static final int`
`XMLTEXT`
`5`

org.h2.expression.function.table.ArrayTableFunction
Modifier and Type
Constant Field
Value
`public static final int`
`TABLE`
`1`
`public static final int`
`TABLE_DISTINCT`
`2`
`public static final int`
`UNNEST`
`0`

org.h2.index.IndexCondition
Modifier and Type
Constant Field
Value
`public static final int`
`ALWAYS_FALSE`
`8`
`public static final int`
`END`
`4`
`public static final int`
`EQUALITY`
`1`
`public static final int`
`RANGE`
`6`
`public static final int`
`SPATIAL_INTERSECTS`
`16`
`public static final int`
`START`
`2`
org.h2.index.IndexSort
Modifier and Type
Constant Field
Value
`public static final int`
`FULLY_SORTED`
`2147483647`

org.h2.message.DbException
Modifier and Type
Constant Field
Value
`public static final String`
`HIDE_SQL`
`"--hide--"`
org.h2.message.Trace
Modifier and Type
Constant Field
Value
`public static final int`
`COMMAND`
`0`
`public static final int`
`CONSTRAINT`
`1`
`public static final int`
`DATABASE`
`2`
`public static final int`
`FILE_LOCK`
`4`
`public static final int`
`FUNCTION`
`3`
`public static final int`
`INDEX`
`5`
`public static final int`
`JDBC`
`6`
`public static final int`
`JDBCX`
`14`
`public static final int`
`LOCK`
`7`
`public static final int`
`SCHEMA`
`8`
`public static final int`
`SEQUENCE`
`9`
`public static final int`
`SETTING`
`10`
`public static final int`
`TABLE`
`11`
`public static final int`
`TRIGGER`
`12`
`public static final int`
`USER`
`13`
org.h2.message.TraceObject
Modifier and Type
Constant Field
Value
`protected static final int`
`ARRAY`
`16`
`protected static final int`
`BLOB`
`9`
`protected static final int`
`CALLABLE_STATEMENT`
`0`
`protected static final int`
`CLOB`
`10`
`protected static final int`
`CONNECTION`
`1`
`protected static final int`
`DATA_SOURCE`
`12`
`protected static final int`
`DATABASE_META_DATA`
`2`
`protected static final int`
`PARAMETER_META_DATA`
`11`
`protected static final int`
`PREPARED_STATEMENT`
`3`
`protected static final int`
`RESULT_SET`
`4`
`protected static final int`
`RESULT_SET_META_DATA`
`5`
`protected static final int`
`SAVEPOINT`
`6`
`protected static final int`
`SQLXML`
`17`
`protected static final int`
`STATEMENT`
`8`
`protected static final int`
`XA_DATA_SOURCE`
`13`
`protected static final int`
`XID`
`15`
org.h2.message.TraceSystem
Modifier and Type
Constant Field
Value
`public static final int`
`ADAPTER`
`4`
`public static final int`
`DEBUG`
`3`
`public static final int`
`DEFAULT_TRACE_LEVEL_FILE`
`1`
`public static final int`
`DEFAULT_TRACE_LEVEL_SYSTEM_OUT`
`0`
`public static final int`
`ERROR`
`1`
`public static final int`
`INFO`
`2`
`public static final int`
`OFF`
`0`
`public static final int`
`PARENT`
`-1`

org.h2.mode.ModeFunction
Modifier and Type
Constant Field
Value
`protected static final int`
`VAR_ARGS`
`-1`
org.h2.mode.PgCatalogTable
Modifier and Type
Constant Field
Value
`public static final int`
`META_TABLE_TYPE_COUNT`
`19`

org.h2.mvstore.Chunk<C extends Chunk<C>>
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_ID`
`67108863`
org.h2.mvstore.DataUtils
Modifier and Type
Constant Field
Value
`public static final int`
`COMPRESSED_VAR_INT_MAX`
`2097151`
`public static final long`
`COMPRESSED_VAR_LONG_MAX`
`562949953421311L`
`public static final int`
`ERROR_BLOCK_NOT_FOUND`
`50`
`public static final int`
`ERROR_CHUNK_NOT_FOUND`
`9`
`public static final int`
`ERROR_CLOSED`
`4`
`public static final int`
`ERROR_FILE_CORRUPT`
`6`
`public static final int`
`ERROR_FILE_LOCKED`
`7`
`public static final int`
`ERROR_INTERNAL`
`3`
`public static final int`
`ERROR_READING_FAILED`
`1`
`public static final int`
`ERROR_SERIALIZATION`
`8`
`public static final int`
`ERROR_TOO_MANY_OPEN_TRANSACTIONS`
`102`
`public static final int`
`ERROR_TRANSACTION_CORRUPT`
`100`
`public static final int`
`ERROR_TRANSACTION_ILLEGAL_STATE`
`103`
`public static final int`
`ERROR_TRANSACTION_LOCKED`
`101`
`public static final int`
`ERROR_TRANSACTION_TOO_BIG`
`104`
`public static final int`
`ERROR_TRANSACTIONS_DEADLOCK`
`105`
`public static final int`
`ERROR_UNKNOWN_DATA_TYPE`
`106`
`public static final int`
`ERROR_UNSUPPORTED_FORMAT`
`5`
`public static final int`
`ERROR_WRITING_FAILED`
`2`
`public static final String`
`META_CHUNK`
`"chunk."`
`public static final String`
`META_MAP`
`"map."`
`public static final String`
`META_NAME`
`"name."`
`public static final String`
`META_ROOT`
`"root."`
`public static final int`
`PAGE_COMPRESSED`
`2`
`public static final int`
`PAGE_COMPRESSED_HIGH`
`6`
`public static final int`
`PAGE_LARGE`
`2097152`
`public static final int`
`PAGE_TYPE_LEAF`
`0`
`public static final int`
`PAGE_TYPE_NODE`
`1`
org.h2.mvstore.FileStore<C extends Chunk<C>>
Modifier and Type
Constant Field
Value
`public static final String`
`META_ID_KEY`
`"meta.id"`
`public static final int`
`PIPE_LENGTH`
`3`
org.h2.mvstore.MVStoreTool
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_NB_FILE_HEADERS_PER_FILE`
`2`

org.h2.mvstore.cache.CacheLongKeyLIRS.Config
Modifier and Type
Constant Field
Value
`public final int`
`nonResidentQueueSize`
`3`
`public final int`
`nonResidentQueueSizeHigh`
`12`

org.h2.mvstore.tx.Transaction
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_CLOSED`
`0`
`public static final int`
`STATUS_COMMITTED`
`3`
`public static final int`
`STATUS_OPEN`
`1`
`public static final int`
`STATUS_PREPARED`
`2`
org.h2.mvstore.tx.TransactionStore
Modifier and Type
Constant Field
Value
`public static final String`
`UNDO_LOG_NAME_PREFIX`
`"undoLog"`

org.h2.result.DefaultRow
Modifier and Type
Constant Field
Value
`public static final int`
`MEMORY_CALCULATE`
`-1`
org.h2.result.SearchRow
Modifier and Type
Constant Field
Value
`public static final int`
`MEMORY_CALCULATE`
`-1`
`public static final int`
`ROWID_INDEX`
`-1`
org.h2.result.SortOrder
Modifier and Type
Constant Field
Value
`public static final int`
`ASCENDING`
`0`
`public static final int`
`DESCENDING`
`1`
`public static final int`
`NULLS_FIRST`
`2`
`public static final int`
`NULLS_LAST`
`4`

org.h2.schema.Sequence
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CACHE_SIZE`
`32`
org.h2.schema.TriggerObject
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_QUEUE_SIZE`
`1024`

org.h2.security.BlockCipher
Modifier and Type
Constant Field
Value
`public static final int`
`ALIGN`
`16`
org.h2.security.CipherFactory
Modifier and Type
Constant Field
Value
`public static final String`
`KEYSTORE_PASSWORD`
`"h2pass"`

org.h2.security.auth.DefaultAuthenticator
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_REALMNAME`
`"H2"`

org.h2.security.auth.impl.JaasCredentialsValidator
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_APPNAME`
`"h2"`

org.h2.server.pg.PgServer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PORT`
`5435`
`public static final int`
`PG_TYPE_BOOL`
`16`
`public static final int`
`PG_TYPE_BPCHAR`
`1042`
`public static final int`
`PG_TYPE_BYTEA`
`17`
`public static final int`
`PG_TYPE_DATE`
`1082`
`public static final int`
`PG_TYPE_FLOAT4`
`700`
`public static final int`
`PG_TYPE_FLOAT8`
`701`
`public static final int`
`PG_TYPE_INT2`
`21`
`public static final int`
`PG_TYPE_INT2_ARRAY`
`1005`
`public static final int`
`PG_TYPE_INT4`
`23`
`public static final int`
`PG_TYPE_INT4_ARRAY`
`1007`
`public static final int`
`PG_TYPE_INT8`
`20`
`public static final int`
`PG_TYPE_NUMERIC`
`1700`
`public static final int`
`PG_TYPE_TEXT`
`25`
`public static final int`
`PG_TYPE_TIME`
`1083`
`public static final int`
`PG_TYPE_TIMESTAMP`
`1114`
`public static final int`
`PG_TYPE_TIMESTAMPTZ`
`1184`
`public static final int`
`PG_TYPE_TIMETZ`
`1266`
`public static final int`
`PG_TYPE_UNKNOWN`
`705`
`public static final int`
`PG_TYPE_VARCHAR`
`1043`
`public static final int`
`PG_TYPE_VARCHAR_ARRAY`
`1015`

org.h2.store.FileStore
Modifier and Type
Constant Field
Value
`public static final int`
`HEADER_LENGTH`
`48`
org.h2.store.InDoubtTransaction
Modifier and Type
Constant Field
Value
`public static final int`
`COMMIT`
`1`
`public static final int`
`IN_DOUBT`
`0`
`public static final int`
`ROLLBACK`
`2`
org.h2.store.LobStorageFrontend
Modifier and Type
Constant Field
Value
`public static final int`
`TABLE_ID_SESSION_VARIABLE`
`-1`
`public static final int`
`TABLE_RESULT`
`-3`
`public static final int`
`TABLE_TEMP`
`-2`

org.h2.store.fs.Recorder
Modifier and Type
Constant Field
Value
`public static final int`
`CREATE_NEW_FILE`
`2`
`public static final int`
`CREATE_TEMP_FILE`
`3`
`public static final int`
`DELETE`
`4`
`public static final int`
`OPEN_OUTPUT_STREAM`
`5`
`public static final int`
`RENAME`
`6`
`public static final int`
`TRUNCATE`
`7`
`public static final int`
`WRITE`
`8`

org.h2.store.fs.encrypt.FileEncrypt
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCK_SIZE`
`4096`

org.h2.table.Column
Modifier and Type
Constant Field
Value
`public static final int`
`NOT_NULLABLE`
`0`
`public static final int`
`NULLABLE`
`1`
`public static final int`
`NULLABLE_UNKNOWN`
`2`
`public static final String`
`ROWID`
`"_ROWID_"`
org.h2.table.DualTable
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"DUAL"`
org.h2.table.IndexColumn
Modifier and Type
Constant Field
Value
`public static final int`
`SQL_NO_ORDER`
`-2147483648`
org.h2.table.InformationSchemaTable
Modifier and Type
Constant Field
Value
`public static final int`
`META_TABLE_TYPE_COUNT`
`35`
org.h2.table.InformationSchemaTableLegacy
Modifier and Type
Constant Field
Value
`public static final int`
`META_TABLE_TYPE_COUNT`
`36`
org.h2.table.MetaTable
Modifier and Type
Constant Field
Value
`public static final long`
`ROW_COUNT_APPROXIMATION`
`1000L`
org.h2.table.RangeTable
Modifier and Type
Constant Field
Value
`public static final String`
`ALIAS`
`"GENERATE_SERIES"`
`public static final String`
`NAME`
`"SYSTEM_RANGE"`
org.h2.table.Table
Modifier and Type
Constant Field
Value
`public static final int`
`EXCLUSIVE_LOCK`
`2`
`public static final int`
`READ_LOCK`
`0`
`public static final int`
`TYPE_CACHED`
`0`
`public static final int`
`TYPE_MEMORY`
`1`
`public static final int`
`WRITE_LOCK`
`1`

org.h2.test.db.TestIssue_3040
Modifier and Type
Constant Field
Value
`public static final String`
`QUERY_STATEMENT`
`"WITH TMP_TO_QUERY as (SELECT avg(SIMPLE_VALUE) AVG_SIMPLE_VALUE FROM public.TO_QUERY) SELECT * FROM TMP_TO_QUERY"`
`public static final String`
`TABLE_TO_QUERY`
`"TO_QUERY"`

org.h2.test.synth.TestHalt
Modifier and Type
Constant Field
Value
`protected static final int`
`FLAG_LOBS`
`2`
`protected static final int`
`FLAG_NO_DELAY`
`1`
`protected static final int`
`OP_DELETE`
`2`
`protected static final int`
`OP_INSERT`
`1`
`protected static final int`
`OP_SELECT`
`8`
`protected static final int`
`OP_UPDATE`
`4`

org.h2.test.unit.TestUtils
Modifier and Type
Constant Field
Value
`public final String`
`testField`
`"abc"`

org.h2.test.utils.OutputCatcher
Modifier and Type
Constant Field
Value
`public static final String`
`START_ERROR`
`"<span style=\"color:red;\">"`

org.h2.util.DateTimeUtils
Modifier and Type
Constant Field
Value
`public static final int`
`EPOCH_DATE_VALUE`
`1008673`
`public static final long`
`MAX_DATE_VALUE`
`512000000415L`
`public static final long`
`MILLIS_PER_DAY`
`86400000L`
`public static final long`
`MIN_DATE_VALUE`
`-511999999967L`
`public static final long`
`NANOS_PER_DAY`
`86400000000000L`
`public static final long`
`NANOS_PER_HOUR`
`3600000000000L`
`public static final long`
`NANOS_PER_MINUTE`
`60000000000L`
`public static final long`
`NANOS_PER_SECOND`
`1000000000L`
`public static final long`
`SECONDS_PER_DAY`
`86400L`
`public static final int`
`SHIFT_MONTH`
`5`
`public static final int`
`SHIFT_YEAR`
`9`
org.h2.util.HasSQL
Modifier and Type
Constant Field
Value
`public static final int`
`ADD_PLAN_INFORMATION`
`8`
`public static final int`
`DEFAULT_SQL_FLAGS`
`0`
`public static final int`
`NO_CASTS`
`4`
`public static final int`
`QUOTE_ONLY_WHEN_REQUIRED`
`1`
`public static final int`
`REPLACE_LOBS_FOR_TRACE`
`2`
`public static final int`
`TRACE_SQL_FLAGS`
`3`
org.h2.util.ParserUtil
Modifier and Type
Constant Field
Value
`public static final int`
`_ROWID_`
`91`
`public static final int`
`ALL`
`3`
`public static final int`
`AND`
`4`
`public static final int`
`ANY`
`5`
`public static final int`
`ARRAY`
`6`
`public static final int`
`AS`
`7`
`public static final int`
`ASYMMETRIC`
`8`
`public static final int`
`AUTHORIZATION`
`9`
`public static final int`
`BETWEEN`
`10`
`public static final int`
`CASE`
`11`
`public static final int`
`CAST`
`12`
`public static final int`
`CHECK`
`13`
`public static final int`
`CONSTRAINT`
`14`
`public static final int`
`CROSS`
`15`
`public static final int`
`CURRENT_CATALOG`
`16`
`public static final int`
`CURRENT_DATE`
`17`
`public static final int`
`CURRENT_PATH`
`18`
`public static final int`
`CURRENT_ROLE`
`19`
`public static final int`
`CURRENT_SCHEMA`
`20`
`public static final int`
`CURRENT_TIME`
`21`
`public static final int`
`CURRENT_TIMESTAMP`
`22`
`public static final int`
`CURRENT_USER`
`23`
`public static final int`
`DAY`
`24`
`public static final int`
`DEFAULT`
`25`
`public static final int`
`DISTINCT`
`26`
`public static final int`
`ELSE`
`27`
`public static final int`
`END`
`28`
`public static final int`
`EXCEPT`
`29`
`public static final int`
`EXISTS`
`30`
`public static final int`
`FALSE`
`31`
`public static final int`
`FETCH`
`32`
`public static final int`
`FIRST_KEYWORD`
`3`
`public static final int`
`FOR`
`33`
`public static final int`
`FOREIGN`
`34`
`public static final int`
`FROM`
`35`
`public static final int`
`FULL`
`36`
`public static final int`
`GROUP`
`37`
`public static final int`
`HAVING`
`38`
`public static final int`
`HOUR`
`39`
`public static final int`
`IDENTIFIER`
`2`
`public static final int`
`IF`
`40`
`public static final int`
`IN`
`41`
`public static final int`
`INNER`
`42`
`public static final int`
`INTERSECT`
`43`
`public static final int`
`INTERVAL`
`44`
`public static final int`
`IS`
`45`
`public static final int`
`JOIN`
`46`
`public static final int`
`KEY`
`47`
`public static final int`
`KEYWORD`
`1`
`public static final int`
`LAST_KEYWORD`
`91`
`public static final int`
`LEFT`
`48`
`public static final int`
`LIKE`
`49`
`public static final int`
`LIMIT`
`50`
`public static final int`
`LOCALTIME`
`51`
`public static final int`
`LOCALTIMESTAMP`
`52`
`public static final int`
`MINUS`
`53`
`public static final int`
`MINUTE`
`54`
`public static final int`
`MONTH`
`55`
`public static final int`
`NATURAL`
`56`
`public static final int`
`NOT`
`57`
`public static final int`
`NULL`
`58`
`public static final int`
`OFFSET`
`59`
`public static final int`
`ON`
`60`
`public static final int`
`OR`
`61`
`public static final int`
`ORDER`
`62`
`public static final int`
`PRIMARY`
`63`
`public static final int`
`QUALIFY`
`64`
`public static final int`
`RIGHT`
`65`
`public static final int`
`ROW`
`66`
`public static final int`
`ROWNUM`
`67`
`public static final int`
`SECOND`
`68`
`public static final int`
`SELECT`
`69`
`public static final int`
`SESSION_USER`
`70`
`public static final int`
`SET`
`71`
`public static final int`
`SOME`
`72`
`public static final int`
`SYMMETRIC`
`73`
`public static final int`
`SYSTEM_USER`
`74`
`public static final int`
`TABLE`
`75`
`public static final int`
`TO`
`76`
`public static final int`
`TRUE`
`77`
`public static final int`
`UESCAPE`
`78`
`public static final int`
`UNION`
`79`
`public static final int`
`UNIQUE`
`80`
`public static final int`
`UNKNOWN`
`81`
`public static final int`
`USER`
`82`
`public static final int`
`USING`
`83`
`public static final int`
`VALUE`
`84`
`public static final int`
`VALUES`
`85`
`public static final int`
`WHEN`
`86`
`public static final int`
`WHERE`
`87`
`public static final int`
`WINDOW`
`88`
`public static final int`
`WITH`
`89`
`public static final int`
`YEAR`
`90`

org.h2.util.geometry.EWKBUtils
Modifier and Type
Constant Field
Value
`public static final int`
`EWKB_M`
`1073741824`
`public static final int`
`EWKB_SRID`
`536870912`
`public static final int`
`EWKB_Z`
`-2147483648`
org.h2.util.geometry.GeometryUtils
Modifier and Type
Constant Field
Value
`public static final int`
`DIMENSION_SYSTEM_XY`
`0`
`public static final int`
`DIMENSION_SYSTEM_XYM`
`2`
`public static final int`
`DIMENSION_SYSTEM_XYZ`
`1`
`public static final int`
`DIMENSION_SYSTEM_XYZM`
`3`
`public static final int`
`GEOMETRY_COLLECTION`
`7`
`public static final int`
`LINE_STRING`
`2`
`public static final int`
`M`
`3`
`public static final int`
`MAX_X`
`1`
`public static final int`
`MAX_Y`
`3`
`public static final int`
`MIN_X`
`0`
`public static final int`
`MIN_Y`
`2`
`public static final int`
`MULTI_LINE_STRING`
`5`
`public static final int`
`MULTI_POINT`
`4`
`public static final int`
`MULTI_POLYGON`
`6`
`public static final int`
`POINT`
`1`
`public static final int`
`POLYGON`
`3`
`public static final int`
`X`
`0`
`public static final int`
`Y`
`1`
`public static final int`
`Z`
`2`

org.h2.util.json.JsonConstructorUtils
Modifier and Type
Constant Field
Value
`public static final int`
`JSON_ABSENT_ON_NULL`
`1`
`public static final int`
`JSON_WITH_UNIQUE_KEYS`
`2`

org.h2.value.CompareMode
Modifier and Type
Constant Field
Value
`public static final String`
`CHARSET`
`"CHARSET_"`
`public static final String`
`DEFAULT`
`"DEFAULT_"`
`public static final String`
`ICU4J`
`"ICU4J_"`
`public static final String`
`OFF`
`"OFF"`
org.h2.value.Value
Modifier and Type
Constant Field
Value
`public static final int`
`ARRAY`
`40`
`public static final int`
`ASSIGN_TO`
`2`
`public static final int`
`BIGINT`
`12`
`public static final int`
`BINARY`
`5`
`public static final int`
`BLOB`
`7`
`public static final int`
`BOOLEAN`
`8`
`public static final int`
`CAST_TO`
`1`
`public static final int`
`CHAR`
`1`
`public static final int`
`CLOB`
`3`
`public static final int`
`CONVERT_TO`
`0`
`public static final int`
`DATE`
`17`
`public static final int`
`DECFLOAT`
`16`
`public static final int`
`DOUBLE`
`15`
`public static final int`
`ENUM`
`36`
`public static final int`
`GEOMETRY`
`37`
`public static final int`
`INTEGER`
`11`
`public static final int`
`INTERVAL_DAY`
`24`
`public static final int`
`INTERVAL_DAY_TO_HOUR`
`29`
`public static final int`
`INTERVAL_DAY_TO_MINUTE`
`30`
`public static final int`
`INTERVAL_DAY_TO_SECOND`
`31`
`public static final int`
`INTERVAL_HOUR`
`25`
`public static final int`
`INTERVAL_HOUR_TO_MINUTE`
`32`
`public static final int`
`INTERVAL_HOUR_TO_SECOND`
`33`
`public static final int`
`INTERVAL_MINUTE`
`26`
`public static final int`
`INTERVAL_MINUTE_TO_SECOND`
`34`
`public static final int`
`INTERVAL_MONTH`
`23`
`public static final int`
`INTERVAL_SECOND`
`27`
`public static final int`
`INTERVAL_YEAR`
`22`
`public static final int`
`INTERVAL_YEAR_TO_MONTH`
`28`
`public static final int`
`JAVA_OBJECT`
`35`
`public static final int`
`JSON`
`38`
`public static final int`
`NULL`
`0`
`public static final int`
`NUMERIC`
`13`
`public static final int`
`REAL`
`14`
`public static final int`
`ROW`
`41`
`public static final int`
`SMALLINT`
`10`
`public static final int`
`TIME`
`18`
`public static final int`
`TIME_TZ`
`19`
`public static final int`
`TIMESTAMP`
`20`
`public static final int`
`TIMESTAMP_TZ`
`21`
`public static final int`
`TINYINT`
`9`
`public static final int`
`TYPE_COUNT`
`42`
`public static final int`
`UNKNOWN`
`-1`
`public static final int`
`UUID`
`39`
`public static final int`
`VARBINARY`
`6`
`public static final int`
`VARCHAR`
`2`
`public static final int`
`VARCHAR_IGNORECASE`
`4`
org.h2.value.ValueBigint
Modifier and Type
Constant Field
Value
`public static final int`
`DECIMAL_PRECISION`
`19`
`public static final int`
`DISPLAY_SIZE`
`20`
org.h2.value.ValueBoolean
Modifier and Type
Constant Field
Value
`public static final int`
`DISPLAY_SIZE`
`5`
`public static final int`
`PRECISION`
`1`
org.h2.value.ValueDate
Modifier and Type
Constant Field
Value
`public static final int`
`PRECISION`
`10`
org.h2.value.ValueDouble
Modifier and Type
Constant Field
Value
`public static final int`
`DECIMAL_PRECISION`
`17`
`public static final int`
`DISPLAY_SIZE`
`24`
`public static final long`
`ZERO_BITS`
`0L`
org.h2.value.ValueInteger
Modifier and Type
Constant Field
Value
`public static final int`
`DECIMAL_PRECISION`
`10`
`public static final int`
`DISPLAY_SIZE`
`11`
`public static final int`
`PRECISION`
`32`
org.h2.value.ValueInterval
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PRECISION`
`2`
`public static final int`
`DEFAULT_SCALE`
`6`
`public static final int`
`MAXIMUM_PRECISION`
`18`
`public static final int`
`MAXIMUM_SCALE`
`9`
org.h2.value.ValueNumeric
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_SCALE`
`0`
`public static final int`
`MAXIMUM_SCALE`
`100000`
org.h2.value.ValueReal
Modifier and Type
Constant Field
Value
`public static final int`
`ZERO_BITS`
`0`
org.h2.value.ValueSmallint
Modifier and Type
Constant Field
Value
`public static final int`
`DECIMAL_PRECISION`
`5`
org.h2.value.ValueTime
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PRECISION`
`8`
`public static final int`
`DEFAULT_SCALE`
`0`
`public static final int`
`MAXIMUM_PRECISION`
`18`
`public static final int`
`MAXIMUM_SCALE`
`9`
org.h2.value.ValueTimestamp
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PRECISION`
`26`
`public static final int`
`DEFAULT_SCALE`
`6`
`public static final int`
`MAXIMUM_PRECISION`
`29`
`public static final int`
`MAXIMUM_SCALE`
`9`
org.h2.value.ValueTimestampTimeZone
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PRECISION`
`32`
`public static final int`
`MAXIMUM_PRECISION`
`35`
org.h2.value.ValueTimeTimeZone
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PRECISION`
`14`
`public static final int`
`MAXIMUM_PRECISION`
`24`
org.h2.value.ValueTinyint
Modifier and Type
Constant Field
Value
`public static final int`
`DECIMAL_PRECISION`
`3`